168c:0023 Wireless network continuously disconnecting and reconnecting

Bug #1003406 reported by Justin Smith on 2012-05-23
36
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Running Ubuntu 12.04 AMD64 Desktop.

The following kern.log lines repeat themselves every 3-5 minutes:

May 23 19:28:01 juka kernel: [ 1557.740276] cfg80211: All devices are disconnected, going to restore regulatory settings
May 23 19:28:01 juka kernel: [ 1557.740288] cfg80211: Restoring regulatory settings
May 23 19:28:01 juka kernel: [ 1557.740297] cfg80211: Calling CRDA to update world regulatory domain
May 23 19:28:01 juka kernel: [ 1557.750296] cfg80211: Updating information on frequency 2412 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750307] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750314] cfg80211: Updating information on frequency 2417 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750322] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750328] cfg80211: Updating information on frequency 2422 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750335] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750340] cfg80211: Updating information on frequency 2427 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750347] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750352] cfg80211: Updating information on frequency 2432 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750359] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750365] cfg80211: Updating information on frequency 2437 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750371] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750377] cfg80211: Updating information on frequency 2442 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750384] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750389] cfg80211: Updating information on frequency 2447 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750396] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750401] cfg80211: Updating information on frequency 2452 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750408] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750413] cfg80211: Updating information on frequency 2457 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750420] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750425] cfg80211: Updating information on frequency 2462 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750432] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750437] cfg80211: Updating information on frequency 2467 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750444] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750449] cfg80211: Updating information on frequency 2472 MHz for a 20 MHz width channel with regulatory rule:
May 23 19:28:01 juka kernel: [ 1557.750456] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750461] cfg80211: Disabling freq 2484 MHz
May 23 19:28:01 juka kernel: [ 1557.750469] cfg80211: World regulatory domain updated:
May 23 19:28:01 juka kernel: [ 1557.750473] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
May 23 19:28:01 juka kernel: [ 1557.750480] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750486] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750493] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750499] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
May 23 19:28:01 juka kernel: [ 1557.750505] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
May 23 19:28:02 juka kernel: [ 1558.614718] wlan0: authenticate with 00:04:ed:1e:ab:ca (try 1)
May 23 19:28:02 juka kernel: [ 1558.636681] wlan0: authenticated
May 23 19:28:02 juka kernel: [ 1558.640652] wlan0: associate with 00:04:ed:1e:ab:ca (try 1)
May 23 19:28:02 juka kernel: [ 1558.664084] wlan0: RX ReassocResp from 00:04:ed:1e:ab:ca (capab=0x411 status=0 aid=4)
May 23 19:28:02 juka kernel: [ 1558.664092] wlan0: associated
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu14
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: justin 1949 F.... pulseaudio
 /dev/snd/controlC0: justin 1949 F.... pulseaudio
CRDA:
 country CN:
  (2402 - 2482 @ 40), (N/A, 20)
  (5735 - 5835 @ 40), (N/A, 30)
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xf7e78000 irq 21'
   Mixer name : 'VIA VT1708S'
   Components : 'HDA:11060397,104383b7,00100000'
   Controls : 44
   Simple ctrls : 23
Card1.Amixer.info:
 Card hw:1 'CinemaTM'/'Microsoft Microsoft® LifeCam Cinema(TM) at usb-0000:00:04.1-1, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB045e:075d'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 56
   Mono: Capture 55 [98%] [35.00dB] [off]
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=ba9e8458-5beb-43fb-a106-1dc468f50f76
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: System manufacturer System Product Name
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_AU:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-32-generic root=UUID=45d09a5d-47f4-47cd-a44d-dc2288bdc1ea ro quiet splash
ProcVersionSignature: Ubuntu 3.2.0-32.51-generic 3.2.30
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-32-generic N/A
 linux-backports-modules-3.2.0-32-generic N/A
 linux-firmware 1.79.1
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: precise running-unity
Uname: Linux 3.2.0-32-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 04/29/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1104
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4N78-AM
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1104:bd04/29/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4N78-AM:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

description: updated

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1003406/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1003406

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Download full text (6.9 KiB)

Hi Brad,

Unfortunately ubuntu.py crashed when running apport-collect. It
appears that it doesn't like the package name. Which package name do
you suggest for the kernel, 12.04, AMD 64, Ubuntu desktop?

See terminal output below:

justin@juka:~$ apport-collect 1003406
The authorization page:
 (https://launchpad.net/+authorize-token?oauth_token=gQ3jsqNBC25jk5zN4s82&allow_permission=DESKTOP_INTEGRATION)
should be opening in your browser. Use your browser to authorize
this program to access Launchpad on your behalf.
Press any key to continue or wait (5) seconds...
Waiting to hear from Launchpad about your decision...
Created new window in existing browser session.
No packages found matching linux.
ERROR: hook /usr/share/apport/general-hooks/ubuntu.py crashed:
...

Cheers,
Justin.

On 24 May 2012 08:30, Brad Figg <email address hidden> wrote:
> This bug is missing log files that will aid in diagnosing the problem.
> >From a terminal window please run:
>
> apport-collect 1003406
>
> and then change the status of the bug to 'Confirmed'.
>
> If, due to the nature of the issue you have encountered, you are unable
> to run this command, please add a comment stating that fact and change
> the bug status to 'Confirmed'.
>
> This change has been made by an automated script, maintained by the
> Ubuntu Kernel Team.
>
> ** Changed in: linux (Ubuntu)
>       Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1003406
>
> Title:
>  Wireless network continuously disconnecting and reconnecting
>
> Status in “linux” package in Ubuntu:
>  Incomplete
>
> Bug description:
>  Running Ubuntu 12.04 AMD64 Desktop.
>
>  The following kern.log lines repeat themselves every 3-5 minutes:
>
>  May 23 19:28:01 juka kernel: [ 1557.740276] cfg80211: All devices are disconnected, going to restore regulatory settings
>  May 23 19:28:01 juka kernel: [ 1557.740288] cfg80211: Restoring regulatory settings
>  May 23 19:28:01 juka kernel: [ 1557.740297] cfg80211: Calling CRDA to update world regulatory domain
>  May 23 19:28:01 juka kernel: [ 1557.750296] cfg80211: Updating information on frequency 2412 MHz for a 20 MHz width channel with regulatory rule:
>  May 23 19:28:01 juka kernel: [ 1557.750307] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
>  May 23 19:28:01 juka kernel: [ 1557.750314] cfg80211: Updating information on frequency 2417 MHz for a 20 MHz width channel with regulatory rule:
>  May 23 19:28:01 juka kernel: [ 1557.750322] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
>  May 23 19:28:01 juka kernel: [ 1557.750328] cfg80211: Updating information on frequency 2422 MHz for a 20 MHz width channel with regulatory rule:
>  May 23 19:28:01 juka kernel: [ 1557.750335] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
>  May 23 19:28:01 juka kernel: [ 1557.750340] cfg80211: Updating information on frequency 2427 MHz for a 20 MHz width channel with regulatory rule:
>  May 23 19:28:01 juka kernel: [ 1557.750347] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
>  May 23 19:28:01 juka kerne...

Read more...

Changed in linux (Ubuntu):
importance: Undecided → Medium
affects: linux (Ubuntu) → linux-meta (Ubuntu)

apport-collect 1003406 still does not work. It returns:

No packages found matching linux.
ERROR: hook /usr/share/apport/general-hooks/ubuntu.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport/report.py", line 718, in add_hooks_info
    symb['add_info'](self, ui)
  File "/usr/share/apport/general-hooks/ubuntu.py", line 45, in add_info
    match_error_messages(report)
  File "/usr/share/apport/general-hooks/ubuntu.py", line 129, in match_error_messages
    if report['ProblemType'] == 'Package':
  File "/usr/lib/python2.7/UserDict.py", line 23, in __getitem__
    raise KeyError(key)
KeyError: 'ProblemType'
Traceback (most recent call last):
  File "/usr/share/apport/apport-gtk", line 499, in <lambda>
    GLib.idle_add(lambda: self.collect_info(on_finished=self.ui_update_view))
  File "/usr/lib/python2.7/dist-packages/apport/ui.py", line 867, in collect_info
    icthread.exc_raise()
  File "/usr/lib/python2.7/dist-packages/apport/REThread.py", line 34, in run
    self._retval = self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/dist-packages/apport/ui.py", line 111, in thread_collect_info
    if report['ProblemType'] == 'Crash' and \
  File "/usr/lib/python2.7/UserDict.py", line 23, in __getitem__
    raise KeyError(key)
KeyError: 'ProblemType'

I'd love to help but I have no idea what the above is talking about. How can I get apport-collect to run successfully?

Justin.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc1-quantal/

tags: added: needs-upstream-testing precise
tags: removed: needs-upstream-testing
tags: added: kernel-fixed-upstream

Tested kernel Linux 3.4.1-030401 (sorry - I didn't see your link to 3.5-rc1 until after I downloaded 3.4.1). The issue is fixed with this kernel. I rebooted with 3.2.0.24 and confirmed the issue is there with that kernel.

This is good news for me - except that I cannot use the nvidia proprietary driver with the 3.4 kernel (there is no nvidia option when running the "Additional Drivers" app). Does this mean I have to wait for 12.10?

Thanks,
Justin.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-wifi
tags: added: amd64
Changed in linux:
status: New → Invalid

Marking Triaged as mainline tested.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Miek Gieben (miek) wrote :

With which wireless card is this? I have a "Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)" and are still seeing this... Tested with upstream kernel 3.4.3, 3.5-rc3, 3.5-rc4

On 25 June 2012 21:45, Miek Gieben <email address hidden> wrote:
> With which wireless card is this? I have a "Network controller: Atheros
> Communications Inc. AR9485 Wireless Network Adapter (rev 01)" and are
> still seeing this... Tested with upstream kernel 3.4.3, 3.5-rc3, 3.5-rc4

lspci returns:
"Network controller: Atheros Communications Inc. AR5416 Wireless
Network Adapter [AR5008 802.11(a)bgn] (rev 01)"

As I stated in updates to the bug report, this issue is not present in
upstream kernel Linux 3.4.1, which is what I now use.

Cheers,
Justin.

Justin Smith, could you please execute the following at a terminal and attach the output to this report:
lspci -vvnn

Output of "lspci -vvnn" is attached.

summary: - Wireless network continuously disconnecting and reconnecting
+ 168c:0023 Wireless network continuously disconnecting and reconnecting
Patrik Kullman (nomego) wrote :

Yes, I too have the same problem with "Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)", is there another bug for that?

Patrik Kullman, please stop making comments in this report. For more on this, please see https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported . If you are having a problem in Ubuntu, please file a new report by executing the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Marlon Costa (marlonsc) wrote :

Hi,

I also have this problem and Ubuntu is unusable to me because of this bug.

02:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)

This driver is uselless.

Sebastian Schlatow (buzz-dee) wrote :

Hello, I have the same wireless card.:

~$ lspci -nnk | grep -i wireless -A2
07:07.0 Network controller [0280]: Atheros Communications Inc. AR5416 Wireless Network Adapter [AR5008 802.11(a)bgn] [168c:0023] (rev 01)
 Subsystem: Atheros Communications Inc. Device [168c:3071]
 Kernel driver in use: ath9k

I tested the following mainline kernels.:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4.6-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-quantal/

In those upstream kernel versions the bug is still present.

I'm using Ubuntu 12.10 alpha and now work flawless.

My kernel: linux-image-3.5.0-7-generic

Sebastian Schlatow (buzz-dee) wrote :

I had this problem also with Ubuntu Oneiric Ocelot 11.10 and with Ubuntu Natty Narwhal 11.04, but with Natty the problem was not so bad because it was very rare. For this card exists an open source driver. Why the driver is so bad for three Ubuntu versions?

Similar problems or with the same ID / card:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/995704
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/981538
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/981762

BTW: I bought this card, because I had a similar problem with an other wireless card before.
http://forum.ubuntuusers.de/topic/atheros-ar5007g-ath5k-wlan-probleme/

Sebastian Schlatow, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

If you do file a new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

I'm the original poster of this bug. In #6 I stated that the bug was fixed in kernel 3.4.1. I was mistaken - it just became more intermittent. I guess I was not following the situation closely, but lately I seem to be getting 500+ a day. Note that the computer is not always on.

The syslog entry that indicates the beginning of another disconnect/reconnect cycle is always:

Aug 26 10:34:58 juka wpa_supplicant[1082]: CTRL-EVENT-DISCONNECTED bssid=00:04:ed:1e:ab:ca reason=4.

In the last couple of days I tested kernel 3.5.2 from http://kernel.ubuntu.com/~kernel-ppa/mainline/. Same result - although now NetworkManager puts a notification on the screen whenever there is a disconnect/reconnect.

tags: removed: kernel-fixed-upstream
tags: added: kernel-bug-exists-upstream
Sebastian Schlatow (buzz-dee) wrote :

I think this bug is a duplicate of https://bugs.launchpad.net/linux/+bug/1032826, because of exactly the same wireless card, the ubuntu version and the same problems.

Miek Gieben (miek) wrote :

kernel 3.6-rc3 seems to work better in the wifi department. It only broke suspend&resume on my laptop

Marlon Costa (marlonsc) wrote :

In Quantal this problem does not occour in my wireless. This kernel version had something that fixes that bug.

Download full text (6.0 KiB)

I tried the Ubuntu 64bit kernel version 3.6 on my Precise box, and I
still get the problem. I'm about to purchase a new wireless card to
see if that improves things.

Cheers,
Justin.

On 17 October 2012 10:27, Marlon Costa <email address hidden> wrote:
> In Quantal this problem does not occour in my wireless. This kernel
> version had something that fixes that bug.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1003406
>
> Title:
> 168c:0023 Wireless network continuously disconnecting and reconnecting
>
> Status in The Linux Kernel:
> Invalid
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> Running Ubuntu 12.04 AMD64 Desktop.
>
> The following kern.log lines repeat themselves every 3-5 minutes:
>
> May 23 19:28:01 juka kernel: [ 1557.740276] cfg80211: All devices are disconnected, going to restore regulatory settings
> May 23 19:28:01 juka kernel: [ 1557.740288] cfg80211: Restoring regulatory settings
> May 23 19:28:01 juka kernel: [ 1557.740297] cfg80211: Calling CRDA to update world regulatory domain
> May 23 19:28:01 juka kernel: [ 1557.750296] cfg80211: Updating information on frequency 2412 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750307] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750314] cfg80211: Updating information on frequency 2417 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750322] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750328] cfg80211: Updating information on frequency 2422 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750335] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750340] cfg80211: Updating information on frequency 2427 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750347] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750352] cfg80211: Updating information on frequency 2432 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750359] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750365] cfg80211: Updating information on frequency 2437 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750371] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750377] cfg80211: Updating information on frequency 2442 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750384] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750389] cfg80211: Updating information on frequency 2447 MHz for a 20 MHz width channel with regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557....

Read more...

Justin Smith, could you please confirm this issue exists with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Thank you for your understanding.

tags: added: kernel-fixed-upstream kernel-fixed-upstream-v3.4.1-quantal
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Triaged → Incomplete
tags: added: needs-kernel-logs
Sebastian Schlatow (buzz-dee) wrote :

Christopher M. Penalver I already filed a bug report.: https://bugs.launchpad.net/linux/+bug/1032826

apport information

tags: added: apport-collected running-unity
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

<email address hidden> wrote:
> Justin Smith, could you please confirm this issue exists with the latest
> development release of Ubuntu? ISO CD images are available from
> http://cdimage.ubuntu.com/daily/current/ .

I downloaded 12.10 and ran that from a USB stick. Same wireless issue.
Which is not at all surprising given that I have already confirmed
that the problem still exists in the linux 3.6 kernel (see messages
above).

> If the issue remains, could
> you please run the following command in the development release from a
> Terminal (Applications->Accessories->Terminal), as it will automatically
> gather and attach updated debug information to this report:
>
> apport-collect -p linux <replace-with-bug-number>

Done.

tags: removed: needs-kernel-logs
tags: added: kernel-bug-exist-upstream-v3.6.2-quantal needs-upstream-testing
removed: kernel-fixed-upstream kernel-fixed-upstream-v3.4.1-quantal
Changed in linux:
status: Invalid → New

Justin Smith, thank you for apport-collect'ing. Could you please provide the information following https://wiki.ubuntu.com/Kernel/LinuxWireless#Bug_Report_Minimum_Requirement_Information ?

On 22 October 2012 21:42, Christopher M. Penalver
<email address hidden> wrote:
> Justin Smith, thank you for apport-collect'ing. Could you please provide
> the information following
> https://wiki.ubuntu.com/Kernel/LinuxWireless#Bug_Report_Minimum_Requirement_Information

1. Bios: Updated to 12.01. No change, disconnects still occur.

2. Wireless Router:
    * Billion BiPAC 7402VGP.
    * Firmware version: 5.74d.
    * WPA2-PSK
    * MAC filtering and QoS: none (default settings).
    * Beacon Interval: ?
    * FIrewall: Disabled.

3. Wireless: 802.11g.

4. Android phones, tablet and Windows laptop work with my wireless AP
fine as far as I can tell (can't access their logs).

5. Distance to AP: 3m.

6. I don't have another AP to test with.

7. This is not a regression. This bug happens with 12.04 and 12.10.
Plus with the Ubuntu-built mainline kernels that I tested see bug
messages).

8. Compat-wireless: I installed
linux-backports-modules-cw-3.4-3.2.0-32-generic:amd64. Disconnects
still occur. But this is not surprising given that I have also tested
the latest mainline kernels.

9. This bug occurs with mainline Ubuntu kernel 3.6.0.

10. ndiswrapper: too hard.

11. This is an Atheros chip, not Broadcom or Realtek.

Cheers,
Justin.

Justin Smith, thank you for your comments. Could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc4-raring/ ?

tags: added: quantal
Download full text (9.8 KiB)

Christopher,

Do you have any reason to believe that 3.7-rc4 may have a fix?

Please don't misunderstand me - I *want* to test and assist where possible
- but I'm hearing a boy cry wolf over and over. I've tested many new
kernels over the last few months. Unless a new kernel has a patch that is
specifically related to the issue, then requesting a new kernel test is at
best deluded optimism, and at worst is a delaying tactic. Either way, it
doesn't help.

I can add some further data - I have purchased a new wireless router (for
better coverage & bandwidth) and this disconnect problem still happens. 46
times between 12am and 8am this morning. The new router is an Asus RT-N66U.

I am going to purchase a different PCIe wireless card and test that - but
that's still a week or so away.

I will test 3.7-rc4 and report back. But some feedback on relevant patches
would be appreciated.

Cheers,
Justin.

On 7 November 2012 15:01, Christopher M. Penalver <
<email address hidden>> wrote:

> Justin Smith, thank you for your comments. Could you please test
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc4-raring/ ?
>
> ** Tags added: quantal
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1003406
>
> Title:
> 168c:0023 Wireless network continuously disconnecting and reconnecting
>
> Status in The Linux Kernel:
> New
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Running Ubuntu 12.04 AMD64 Desktop.
>
> The following kern.log lines repeat themselves every 3-5 minutes:
>
> May 23 19:28:01 juka kernel: [ 1557.740276] cfg80211: All devices are
> disconnected, going to restore regulatory settings
> May 23 19:28:01 juka kernel: [ 1557.740288] cfg80211: Restoring
> regulatory settings
> May 23 19:28:01 juka kernel: [ 1557.740297] cfg80211: Calling CRDA to
> update world regulatory domain
> May 23 19:28:01 juka kernel: [ 1557.750296] cfg80211: Updating
> information on frequency 2412 MHz for a 20 MHz width channel with
> regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750307] cfg80211: 2402000 KHz -
> 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750314] cfg80211: Updating
> information on frequency 2417 MHz for a 20 MHz width channel with
> regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750322] cfg80211: 2402000 KHz -
> 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750328] cfg80211: Updating
> information on frequency 2422 MHz for a 20 MHz width channel with
> regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750335] cfg80211: 2402000 KHz -
> 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750340] cfg80211: Updating
> information on frequency 2427 MHz for a 20 MHz width channel with
> regulatory rule:
> May 23 19:28:01 juka kernel: [ 1557.750347] cfg80211: 2402000 KHz -
> 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
> May 23 19:28:01 juka kernel: [ 1557.750352] cfg80211: Updating
> information on frequency 2432 MHz for a 20 MHz width channel with
> regulatory rule:
> May 23 19...

Read more...

Patrik Kullman (nomego) wrote :

I have tested 3.7-rc4-raring and can confirm that the problem still exists.
Lots of reconnections and horrible performance compared to when booted in Windows 7.

I do have "options ath9k nohwcrypt=1" in /etc/modprobe.d/ath9k.conf, although this problem shouldn't appear with either setting.

There only seems to be 2 patches for the ath9k driver in 3.7-rc4 though according to https://lkml.org/lkml/2012/11/4/151

Patrik Kullman, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team policy:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control and Ubuntu Bug Squad policy:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Ketepi (ketepi) wrote :

Hi everyone, I eperienced the same problem with my laptop Acer Aspire 8951g (Atheros wireless card). The problem appeared suddenly, continuous disconecctions and messages in /var/log/syslog inticating disconnections with reason=4.

I noticed that it doesn't only occur with my card model and every time someone fixed it was in a different way, and noone is sure about how it fixed the problem.

So I tried everything: Adding the nohwcrypt=1 option to the modprobe module, install compat-wireless drivers, changing my wifi configuration (some people fixed it by changing WPA/WPA2 to WP" only) installing wicd, and even reinstalling a clean copy of ubuntu.

I though it was a specific problem of linux, since I worked in windows 7. But I was skeptical and finally I found this post.
http://www.verboon.info/index.php/2011/03/using-the-windows-7-event-log-to-check-wlan-link-quality/

So I found that it also happen in windows, but W7 is very fast recovering the connection. All the clues pointed to the hardware, I opened my computer played with the wifi PCI card. I made a mistake connecting the antenna and after that the problem remains and was also noiteable under Windows (I got the same errar message related security, nothing related with the signal). So I checked the connections again (this time I plugged all correctly ) and it finally worked in windows 7 and ubuntu.

In summary, I think this is a hardware problem, but depending on the SO, the kernel and the software it can be override with a quick reconnection, so most of the people doesn't notice it until it turns really annoying.
I hope it helps.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers